% Copy all files in Matlab current directory and type "facewebcam" on
% Matlab command window.
% 
%
%
%
% First, select an input image clicking on "Load Image From File".
% Then you can
%   - add this image to database (click on "Add Face To Database"
%   - perform face recognition (click on "Face Recognition" button)
%     Note: If you want to perform face recognition database has to include 
%     at least one image.
%
% If you choose to add image to database, a positive integer (face ID) is
% required. This posivive integer is a progressive number which identifies
% a person (each person corresponds to a class).
% For example:
%  - run the GUI (type "facewebcam" on Matlab command window)
%  - delete database (click on "Delete Database")
%  - add "mike1.jpg" to database ---> the ID has to be 1 since Mike is the first
%    person you are adding to database
%  - add "mike2.jpg" to database ---> the ID has to be 1 since you have already
%    added a Mike's image to database
%  - add "paul1.jpg" to database ---> the ID has to be 2 since Paul is the second person
%    you are adding to database
%  - add "cindy1.jpg" to database ---> the ID has to be 3 since Cindy is
%    the third person you are adding to database
%  - add "paul2.jpg" to database ---> the ID has to be 2 once again since
%    you have already added Paul to database
%   
% ... and so on! Very simple, isnt't? :)
% 
% The recognition gives as results the ID of nearest person present in
% database. For example if you select image "paul3.jpg" the ID gives 2 as
% result.
%
% FUNCTIONS
%
% Load Image From File:                          read the input image from file
% 
% Load Image From WebCam:                        read the input image from webcam. When you press on 
%                                                this button webcan is initialized and, if no
%                                                error message is visualized, you can immediately 
%                                                return a single image
%                                                frame using "Capture Image" button.
%
%
% Add Face To Database:                          selected image is added to
%                                                database. An ID is required. ID is an integer, 
%                                                progressive number that identifies person.
%
% Face Recognition:                              face matching. Selected input image is processed
%
% Database Info:                                 show information about the images present in database. 
%
% Quick Start:                                   show this guide
%
% Source Code:                                   how to obtain the source code
%
% Delete Database:                               remove database from the current directory
%
%
% Quit:                                          quit program
%
%
%